# InputType | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Type alias InputType<SRC, DST, SCLR>

InputType< SRC , DST , SCLR >: IsPayLoad< DST > extends {
__alias: infer R;
}
? {
[P in keyof R]: MapType < SRC , R[P], SCLR >[keyof MapType < SRC , R[P], SCLR >]
} & MapType < SRC , Omit<IsPayLoad< DST >, "__alias">, SCLR >
: MapType < SRC , IsPayLoad< DST >, SCLR >

#### Type Parameters

- SRC
- DST
- SCLR extends ScalarDefinition = {}

- Defined in components/sdk/src/zeus/index.ts:802